Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 979704 - Gradle Android Plugin expects org.apache.ivy.plugins.signer.bouncycastle.OpenPGPSignatureGenerator
Summary: Gradle Android Plugin expects org.apache.ivy.plugins.signer.bouncycastle.Open...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: apache-ivy
Version: 19
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-29 16:34 UTC by Russ Adams
Modified: 2014-01-18 04:25 UTC (History)
4 users (show)

Fixed In Version: apache-ivy-2.3.0-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-18 04:25:20 UTC
Type: Bug


Attachments (Terms of Use)
Gradle Ouput with Stacktrace (13.14 KB, text/plain)
2013-06-29 16:35 UTC, Russ Adams
no flags Details

Description Russ Adams 2013-06-29 16:34:22 UTC
Description of problem:

I'm trying to use gradle to build an Android application in Fedora 19.  I follow the instructions for a basic Android application (see http://tools.android.com/tech-docs/new-build-system/user-guide#TOC-Basic-Project).  When I type:

$ gradle build --info

I get the following error: impossible to define new type: class not found: org.apache.ivy.plugins.signer.bouncycastle.OpenPGPSignatureGenerator in [] nor Ivy classloader

After a bit of searching, I can see that the bouncycastle signer was removed in the apache-ivy package in commit: acd3600a5475d641644128b1dac321e7edf70b7e (see http://pkgs.fedoraproject.org/cgit/apache-ivy.git/commit/?id=acd3600a5475d641644128b1dac321e7edf70b7e)

Version-Release number of selected component (if applicable):

Applies to apache-ivy 2.2.0 and 2.3.0

How reproducible:

Always.

See attached stacktrace from gradle.

This is likely related to bug 812504.  It also happens in Fedora 18.

Comment 1 Russ Adams 2013-06-29 16:35:07 UTC
Created attachment 766911 [details]
Gradle Ouput with Stacktrace

Comment 2 Mikolaj Izdebski 2013-07-01 09:15:45 UTC
Bouncycastle signer plugin is indeed removed from Ivy sources.  After enabling it ivy fails to build (missing class from bouncycastle).

Comment 3 Fedora Admin XMLRPC Client 2013-12-10 06:42:52 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Michal Srb 2014-01-02 11:03:36 UTC
This issue should be fixed in Rawhide now. I could backport the fix to F20. Please speak up if someone needs it.

Comment 5 Tomasz Długosz 2014-01-09 11:41:53 UTC
I do need it (and probably a few people in my company will).

Thanks in advance.

Comment 6 Fedora Update System 2014-01-09 13:39:34 UTC
apache-ivy-2.3.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/apache-ivy-2.3.0-4.fc20

Comment 7 Fedora Update System 2014-01-10 07:48:15 UTC
Package apache-ivy-2.3.0-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing apache-ivy-2.3.0-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0531/apache-ivy-2.3.0-4.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-01-18 04:25:20 UTC
apache-ivy-2.3.0-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.